diff -r abbe2bd8ee35 -r cb57c659eceb ChangeLog
--- a/ChangeLog	Sat Aug 17 17:20:29 2013 +0900
+++ b/ChangeLog	Sat Aug 17 17:55:54 2013 +0900
@@ -1,3 +1,8 @@
+2013-08-17  Stephen J. Turnbull  <stephen@xemacs.org>
+
+	* doctor.el: Grind and adjust whitespace to modern conventions.
+	The previous patch made many lines substantially longer.
+
 2013-08-17  Stephen J. Turnbull  <stephen@xemacs.org>
 
 	* doctor.el (//): Rename to #'identity and defun if not fboundp.
diff -r abbe2bd8ee35 -r cb57c659eceb doctor.el
--- a/doctor.el	Sat Aug 17 17:20:29 2013 +0900
+++ b/doctor.el	Sat Aug 17 17:55:54 2013 +0900
@@ -88,7 +88,8 @@
   (setq mode-name "Doctor")
   (turn-on-auto-fill)
   (doctor-type '(i am the psychotherapist \.
-		 (doctor-$ please) (doctor-$ describe) your (doctor-$ problems) \.
+		 (doctor-$ please) (doctor-$ describe) your
+                 (doctor-$ problems) \.
 		 each time you are finished talking, type \R\E\T twice \.))
   (insert "\n"))
 
@@ -149,69 +150,74 @@
 	  (some experiences you have had with)
 	  (how you feel about)))
   (make-local-variable 'fears)
-  (setq fears '( ((doctor-$ whysay) you are (doctor-$ afraidof) (identity feared) \?)
-		 (you seem terrified by (identity feared) \.)
-		 (when did you first feel (doctor-$ afraidof) (identity feared) \?) ))
+  (setq fears
+	'(((doctor-$ whysay) you are (doctor-$ afraidof) (identity feared) \?)
+	  (you seem terrified by (identity feared) \.)
+	  (when did you first feel (doctor-$ afraidof) (identity feared) \?) ))
   (make-local-variable 'sure)
-  (setq sure '((sure)(positive)(certain)(absolutely sure)))
+  (setq sure '((sure) (positive) (certain) (absolutely sure)))
   (make-local-variable 'afraidof)
-  (setq afraidof '( (afraid of) (frightened by) (scared of) ))
+  (setq afraidof '((afraid of) (frightened by) (scared of)))
   (make-local-variable 'areyou)
-  (setq areyou '( (are you)(have you been)(have you been) ))
+  (setq areyou '((are you) (have you been) (have you been)))
   (make-local-variable 'isrelated)
-  (setq isrelated '( (has something to do with)(is related to)
-		     (could be the reason for) (is caused by)(is because of)))
+  (setq isrelated
+	'((has something to do with) (is related to)
+	  (could be the reason for) (is caused by) (is because of)))
   (make-local-variable 'arerelated)
-  (setq arerelated '((have something to do with)(are related to)
-		     (could have caused)(could be the reason for) (are caused by)
-		     (are because of)))
+  (setq arerelated
+	'((have something to do with) (are related to) (could have caused)
+	  (could be the reason for) (are caused by) (are because of)))
   (make-local-variable 'moods)
-  (setq moods '( ((doctor-$ areyou)(identity found) often \?)
-		 (what causes you to be (identity found) \?)
-		 ((doctor-$ whysay) you are (identity found) \?) ))
+  (setq moods
+	'(((doctor-$ areyou) (identity found) often \?)
+	  (what causes you to be (identity found) \?)
+	  ((doctor-$ whysay) you are (identity found) \?) ))
   (make-local-variable 'maybe)
-  (setq maybe
-	'((maybe)
-	  (perhaps)
-	  (possibly)))
+  (setq maybe '((maybe) (perhaps) (possibly)))
   (make-local-variable 'whatwhen)
   (setq whatwhen
 	'((what happened when)
 	  (what would happen if)))
   (make-local-variable 'hello)
   (setq hello
-	'((how do you do \?) (hello \.) (howdy!) (hello \.) (hi \.) (hi there \.)))
+	'((how do you do \?) (hello \.) (howdy!) (hello \.) (hi \.)
+	  (hi there \.)))
   (make-local-variable 'drnk)
   (setq drnk
 	'((do you drink a lot of (identity found) \?)
 	  (do you get drunk often \?)
-	  ((doctor-$ describe) your drinking habits \.) )) 
+	  ((doctor-$ describe) your drinking habits \.) ))
   (make-local-variable 'drugs)
-  (setq drugs '( (do you use (identity found) often \?)((doctor-$ areyou)
-						 addicted to (identity found) \?)(do you realize that drugs can
-						 be very harmful \?)((doctor-$ maybe) you should try to quit using (identity found)
-						 \.)))
+  (setq drugs
+	'((do you use (identity found) often \?)
+	  ((doctor-$ areyou) addicted to (identity found) \?)
+	  (do you realize that drugs can be very harmful \?)
+	  ((doctor-$ maybe) you should try to quit using (identity found) \.)))
   (make-local-variable 'whywant)
-  (setq whywant '( ((doctor-$ whysay) (identity subj) might (doctor-$ want) (identity obj) \?)
-		   (how does it feel to want \?)
-		   (why should (identity subj) get (identity obj) \?)
-		   (when did (identity subj) first (doctor-$ want) (identity obj) \?)
-		   ((doctor-$ areyou) obsessed with (identity obj) \?)
-		   (why should i give (identity obj) to (identity subj) \?)
-		   (have you ever gotten (identity obj) \?) ))
+  (setq whywant
+	'(((doctor-$ whysay) (identity subj) might (doctor-$ want)
+	   (identity obj) \?)
+	  (how does it feel to want \?)
+	  (why should (identity subj) get (identity obj) \?)
+	  (when did (identity subj) first (doctor-$ want) (identity obj) \?)
+	  ((doctor-$ areyou) obsessed with (identity obj) \?)
+	  (why should i give (identity obj) to (identity subj) \?)
+	  (have you ever gotten (identity obj) \?)))
   (make-local-variable 'canyou)
-  (setq canyou '((of course i can \.)
-		 (why should i \?)
-		 (what makes you think i would even want to \?)
-		 (i am the doctor\, i can do anything i damn please \.)
-		 (not really\, it\'s not up to me \.)
-		 (depends\, how important is it \?)
-		 (i could\, but i don\'t think it would be a wise thing to do \.)
-		 (can you \?)
-		 (maybe i can\, maybe i can\'t \.\.\.)
-		 (i don\'t think i should do that \.)))
+  (setq canyou
+	'((of course i can \.)
+	  (why should i \?)
+	  (what makes you think i would even want to \?)
+	  (i am the doctor\, i can do anything i damn please \.)
+	  (not really\, it\'s not up to me \.)
+	  (depends\, how important is it \?)
+	  (i could\, but i don\'t think it would be a wise thing to do \.)
+	  (can you \?)
+	  (maybe i can\, maybe i can\'t \.\.\.)
+	  (i don\'t think i should do that \.)))
   (make-local-variable 'want)
-  (setq want '( (want) (desire) (wish) (want) (hope) ))
+  (setq want '((want) (desire) (wish) (want) (hope)))
   (make-local-variable 'shortlst)
   (setq shortlst
 	'((can you elaborate on that \?)
@@ -233,8 +239,9 @@
 	  ((doctor-$ areyou) hung up on (identity owner) family \?)))
   (make-local-variable 'huhlst)
   (setq huhlst
-	'(((doctor-$ whysay)(identity sent) \?)
-	  (is it because of (doctor-$ things) that you say (identity sent) \?) ))
+	'(((doctor-$ whysay) (identity sent) \?)
+	  (is it because of (doctor-$ things) that you say
+	   (identity sent) \?) ))
   (make-local-variable 'longhuhlst)
   (setq longhuhlst
 	'(((doctor-$ whysay) that \?)
@@ -273,7 +280,7 @@
 	  (i understand \.)
 	  (oh \.) ))
   (make-local-variable 'please)
-  (setq please 
+  (setq please
 	'((please\,)
 	  (i would appreciate it if you would)
 	  (perhaps you could)
@@ -296,8 +303,9 @@
 	  (more)
 	  (how you feel)))
   (make-local-variable 'things)
-  (setq things 
-	'(;(your interests in computers)   ;; let's make this less computer oriented
+  (setq things
+	;; let's make this less computer oriented
+	'(;(your interests in computers)
 	  ;(the machines you use)
 	  (your plans)
 	  ;(your use of computers)
@@ -323,16 +331,13 @@
 	  (tell me more about)
 	  (elaborate on)))
   (make-local-variable 'ibelieve)
-  (setq ibelieve 
-	'((i believe) (i think) (i have a feeling) (it seems to me that)
-	  (it looks like)))
+  (setq ibelieve
+	'((i believe) (i think) (i have a feeling)
+	  (it seems to me that) (it looks like)))
   (make-local-variable 'problems)
-  (setq problems '( (problems)
-		    (inhibitions)
-		    (hangups)
-		    (difficulties)
-		    (anxieties)
-		    (frustrations) ))
+  (setq problems
+	'((problems) (inhibitions) (hangups) (difficulties)
+	  (anxieties) (frustrations)))
   (make-local-variable 'bother)
   (setq bother
 	'((does it bother you that)
@@ -341,7 +346,7 @@
 	  (are you sorry)
 	  (are you satisfied with the fact that)))
   (make-local-variable 'machlst)
-  (setq machlst 
+  (setq machlst
 	'((you have your mind on (identity found) \, it seems \.)
 	  (you think too much about  (identity found) \.)
 	  (you should try taking your mind off of (identity found)\.)
@@ -357,8 +362,8 @@
   (make-local-variable 'elist)
   (setq elist
 	'(((doctor-$ please) try to calm yourself \.)
-	  (you seem very excited \. relax \. (doctor-$ please) (doctor-$ describe) (doctor-$ things)
-	       \.)
+	  (you seem very excited \. relax \.
+	   (doctor-$ please) (doctor-$ describe) (doctor-$ things) \.)
 	  (you\'re being very emotional \. calm down \.)))
   (make-local-variable 'foullst)
   (setq foullst
@@ -371,15 +376,18 @@
 	'((this is not a healthy way of thinking \.)
 	  ((doctor-$ bother) you\, too\, may die someday \?)
 	  (i am worried by your obsession with this topic!)
-	  (did you watch a lot of crime and violence on television as a child \?))
-	)
+	  (did you watch a lot of crime and violence on television
+	   as a child \?)))
   (make-local-variable 'sexlst)
-  (setq sexlst 
+  (setq sexlst
 	'(((doctor-$ areyou) (doctor-$ afraidof) sex \?)
-	  ((doctor-$ describe)(doctor-$ something) about your sexual history \.)
-	  ((doctor-$ please)(doctor-$ describe) your sex life \.\.\.)
-	  ((doctor-$ describe) your (doctor-$ feelings-about) your sexual partner \.)
-	  ((doctor-$ describe) your most (doctor-$ random-adjective) sexual experience \.)
+	  ((doctor-$ describe) (doctor-$ something) about your
+	   sexual history \.)
+	  ((doctor-$ please) (doctor-$ describe) your sex life \.\.\.)
+	  ((doctor-$ describe) your (doctor-$ feelings-about) your
+	   sexual partner \.)
+	  ((doctor-$ describe) your most (doctor-$ random-adjective)
+	   sexual experience \.)
 	  ((doctor-$ areyou) satisfied with (identity lover) \.\.\. \?)))
   (make-local-variable 'neglst)
   (setq neglst
@@ -390,46 +398,49 @@
 	  (how come \?)
 	  ((doctor-$ bother) i ask that \?)))
   (make-local-variable 'beclst)
-  (setq beclst '(
-		 (is it because (identity sent) that you came to me \?)
-		 ((doctor-$ bother)(identity sent) \?)
-		 (when did you first know that (identity sent) \?)
-		 (is the fact that (identity sent) the real reason \?)
-		 (does the fact that (identity sent) explain anything else \?)
-		 ((doctor-$ areyou)(doctor-$ sure)(identity sent) \? ) ))
+  (setq beclst
+	'((is it because (identity sent) that you came to me \?)
+	  ((doctor-$ bother) (identity sent) \?)
+	  (when did you first know that (identity sent) \?)
+	  (is the fact that (identity sent) the real reason \?)
+	  (does the fact that (identity sent) explain anything else \?)
+	  ((doctor-$ areyou) (doctor-$ sure) (identity sent) \? )))
   (make-local-variable 'shortbeclst)
-  (setq shortbeclst '(
-		      ((doctor-$ bother) i ask you that \?)
-		      (that\'s not much of an answer!)
-		      ((doctor-$ inter) why won\'t you talk about it \?)
-		      (speak up!)
-		      ((doctor-$ areyou) (doctor-$ afraidof) talking about it \?)
-		      (don\'t be (doctor-$ afraidof) elaborating \.)
-		      ((doctor-$ please) go into more detail \.)))
+  (setq shortbeclst
+	'(((doctor-$ bother) i ask you that \?)
+	  (that\'s not much of an answer!)
+	  ((doctor-$ inter) why won\'t you talk about it \?)
+	  (speak up!)
+	  ((doctor-$ areyou) (doctor-$ afraidof) talking about it \?)
+	  (don\'t be (doctor-$ afraidof) elaborating \.)
+	  ((doctor-$ please) go into more detail \.)))
   (make-local-variable 'thlst)
-  (setq thlst '(
-		((doctor-$ maybe)(doctor-$ things)(doctor-$ arerelated) this \.)
-		(is it because of (doctor-$ things) that you are going through all this \?)
-		(how do you reconcile (doctor-$ things) \? )
-		((doctor-$ maybe) this (doctor-$ isrelated)(doctor-$ things) \?) ))
+  (setq thlst
+	'(((doctor-$ maybe) (doctor-$ things) (doctor-$ arerelated) this \.)
+	  (is it because of (doctor-$ things) that you are going
+	   through all this \?)
+	  (how do you reconcile (doctor-$ things) \? )
+	  ((doctor-$ maybe) this (doctor-$ isrelated) (doctor-$ things) \?)))
   (make-local-variable 'remlst)
-  (setq remlst '( (earlier you said (doctor-$ history) \?)
-		  (you mentioned that (doctor-$ history) \?)
-		  ((doctor-$ whysay)(doctor-$ history) \? ) ))
+  (setq remlst
+	'((earlier you said (doctor-$ history) \?)
+	  (you mentioned that (doctor-$ history) \?)
+	  ((doctor-$ whysay) (doctor-$ history) \?)))
   (make-local-variable 'toklst)
   (setq toklst
 	'((is this how you relax \?)
-	  (how long have you been smoking	grass \?)
-	  ((doctor-$ areyou) (doctor-$ afraidof) of being drawn to using harder stuff \?)))
+	  (how long have you been smoking grass \?)
+	  ((doctor-$ areyou) (doctor-$ afraidof) of being drawn to
+	   using harder stuff \?)))
   (make-local-variable 'states)
   (setq states
 	'((do you get (identity found) often \?)
 	  (do you enjoy being (identity found) \?)
 	  (what makes you (identity found) \?)
-	  (how often (doctor-$ areyou)(identity found) \?)
+	  (how often (doctor-$ areyou) (identity found) \?)
 	  (when were you last (identity found) \?)))
   (make-local-variable 'replist)
-  (setq replist 
+  (setq replist
 	'((i . (you))
 	  (my . (your))
 	  (me . (you))
@@ -480,66 +491,69 @@
 	  (won\'t . (will not))
 	  (hasn\'t . (has not))))
   (make-local-variable 'stallmanlst)
-  (setq stallmanlst '(
-		      ((doctor-$ describe) your (doctor-$ feelings-about) him \.)
-		      ((doctor-$ areyou) a friend of Stallman \?)
-		      ((doctor-$ bother) Stallman is (doctor-$ random-adjective) \?)
-		      ((doctor-$ ibelieve) you are (doctor-$ afraidof) him \.)))
+  (setq stallmanlst
+	'(((doctor-$ describe) your (doctor-$ feelings-about) him \.)
+	  ((doctor-$ areyou) a friend of Stallman \?)
+	  ((doctor-$ bother) Stallman is
+	   (doctor-$ random-adjective) \?)
+	  ((doctor-$ ibelieve) you are (doctor-$ afraidof) him \.)))
   (make-local-variable 'schoollst)
-  (setq schoollst '(
-		    ((doctor-$ describe) your (identity found) \.)
-		    ((doctor-$ bother) your grades could (doctor-$ improve) \?)
-		    ((doctor-$ areyou) (doctor-$ afraidof) (identity found) \?)
-		    ((doctor-$ maybe) this (doctor-$ isrelated) to your attitude \.)
-		    ((doctor-$ areyou) absent often \?)
-		    ((doctor-$ maybe) you should study (doctor-$ something) \.)))
+  (setq schoollst
+	'(((doctor-$ describe) your (identity found) \.)
+	  ((doctor-$ bother) your grades could (doctor-$ improve) \?)
+	  ((doctor-$ areyou) (doctor-$ afraidof) (identity found) \?)
+	  ((doctor-$ maybe) this (doctor-$ isrelated) to your attitude \.)
+	  ((doctor-$ areyou) absent often \?)
+	  ((doctor-$ maybe) you should study (doctor-$ something) \.)))
   (make-local-variable 'improve)
   (setq improve '((improve) (be better) (be improved) (be higher)))
   (make-local-variable 'elizalst)
-  (setq elizalst '(
-		   ((doctor-$ areyou) (doctor-$ sure) \?)
-		   ((doctor-$ ibelieve) you have (doctor-$ problems) with (identity found) \.)
-		   ((doctor-$ whysay) (identity sent) \?)))
+  (setq elizalst
+	'(((doctor-$ areyou) (doctor-$ sure) \?)
+	  ((doctor-$ ibelieve) you have (doctor-$ problems) with
+	   (identity found) \.)
+	  ((doctor-$ whysay) (identity sent) \?)))
   (make-local-variable 'sportslst)
-  (setq sportslst '(
-		    (tell me (doctor-$ something) about (identity found) \.)
-		    ((doctor-$ describe) (doctor-$ relation) (identity found) \.)
-		    (do you find (identity found) (doctor-$ random-adjective) \?)))
+  (setq sportslst
+	'((tell me (doctor-$ something) about (identity found) \.)
+	  ((doctor-$ describe) (doctor-$ relation) (identity found) \.)
+	  (do you find (identity found) (doctor-$ random-adjective) \?)))
   (make-local-variable 'mathlst)
-  (setq mathlst '(
-		  ((doctor-$ describe) (doctor-$ something) about math \.)
-		  ((doctor-$ maybe) your (doctor-$ problems) (doctor-$ arerelated) (identity found) \.)
-		  (i do\'nt know much (identity found) \, but (doctor-$ continue)
-		     anyway \.)))
+  (setq mathlst
+	'(((doctor-$ describe) (doctor-$ something) about math \.)
+	  ((doctor-$ maybe) your (doctor-$ problems) (doctor-$ arerelated)
+	   (identity found) \.)
+	  (i do\'nt know much (identity found) \, but (doctor-$ continue)
+	   anyway \.)))
   (make-local-variable 'zippylst)
-  (setq zippylst '(
-		   ((doctor-$ areyou) Zippy \?)
-		   ((doctor-$ ibelieve) you have some serious (doctor-$ problems) \.)
-		   ((doctor-$ bother) you are a pinhead \?)))
+  (setq zippylst
+	'(((doctor-$ areyou) Zippy \?)
+	  ((doctor-$ ibelieve) you have some serious (doctor-$ problems) \.)
+	  ((doctor-$ bother) you are a pinhead \?)))
   (make-local-variable 'chatlst)
-  (setq chatlst '(
-		  ((doctor-$ maybe) we could chat \.)
-		  ((doctor-$ please) (doctor-$ describe) (doctor-$ something) about chat mode \.)
-		  ((doctor-$ bother) our discussion is so (doctor-$ random-adjective) \?)))
+  (setq chatlst
+	'(((doctor-$ maybe) we could chat \.)
+	  ((doctor-$ please) (doctor-$ describe) (doctor-$ something)
+	   about chat mode \.)
+	  ((doctor-$ bother) our discussion is so
+	   (doctor-$ random-adjective) \?)))
   (make-local-variable 'abuselst)
-  (setq abuselst '(
-		   ((doctor-$ please) try to be less abusive \.)
-		   ((doctor-$ describe) why you call me (identity found) \.)
-		   (i\'ve had enough of you!)))
+  (setq abuselst
+	'(((doctor-$ please) try to be less abusive \.)
+	  ((doctor-$ describe) why you call me (identity found) \.)
+	  (i\'ve had enough of you!)))
   (make-local-variable 'abusewords)
-  (setq abusewords '(boring bozo clown clumsy cretin dumb dummy
-			    fool foolish gnerd gnurd idiot jerk
-			    lose loser louse lousy luse luser
-			    moron nerd nurd oaf oafish reek
-			    stink stupid tool toolish twit))
+  (setq abusewords
+	'(boring bozo clown clumsy cretin dumb dummy fool foolish
+	  gnerd gnurd idiot jerk lose loser louse lousy luse luser moron
+	  nerd nurd oaf oafish reek stink stupid tool toolish twit))
   (make-local-variable 'howareyoulst)
-  (setq howareyoulst  '((how are you) (hows it going) (hows it going eh)
-			(how\'s it going) (how\'s it going eh) (how goes it)
-			(whats up) (whats new) (what\'s up) (what\'s new)
-			(howre you) (how\'re you) (how\'s everything)
-			(how is everything) (how do you do)
-			(how\'s it hanging) (que pasa)
-			(how are you doing) (what do you say)))
+  (setq howareyoulst
+	'((how are you) (hows it going) (hows it going eh) (how\'s it going)
+	  (how\'s it going eh) (how goes it) (whats up) (whats new)
+	  (what\'s up) (what\'s new) (howre you) (how\'re you) (how do you do)
+	  (how\'s everything) (how is everything) (how\'s it hanging)
+	  (que pasa) (how are you doing) (what do you say)))
   (make-local-variable 'whereoutp)
   (setq whereoutp '( huh remem rthing ) )
   (make-local-variable 'subj)
@@ -900,13 +914,13 @@
 (defun doctor-doc (sent)
   (cond
    ((equal sent '(foo))
-    (doctor-type '(bar! (doctor-$ please)(doctor-$ continue) \.)))
+    (doctor-type '(bar! (doctor-$ please) (doctor-$ continue) \.)))
    ((member sent howareyoulst)
     (doctor-type '(i\'m ok \.  (doctor-$ describe) yourself \.)))
    ((or (member sent '((good bye) (see you later) (i quit) (so long)
 		       (go away) (get lost)))
 	(memq (car sent)
-	      '(bye halt break quit done exit goodbye 
+	      '(bye halt break quit done exit goodbye
 		    bye\, stop pause goodbye\, stop pause)))
     (doctor-type (doctor-$ bye)))
    ((and (eq (car sent) 'you)
@@ -929,13 +943,13 @@
 			'(identity bak))))
    ;;   ((eq (car sent) 'forget)
    ;;    (set (doctor-cadr sent) nil)
-   ;;    (doctor-type '((doctor-$ isee)(doctor-$ please)
+   ;;    (doctor-type '((doctor-$ isee) (doctor-$ please)
    ;;     (doctor-$ continue)\.)))
    (t
     (if (doctor-defq sent) (doctor-define sent found))
-    (if (> (length sent) 12)(doctor-shorten sent))
+    (if (> (length sent) 12) (doctor-shorten sent))
     (setq sent (doctor-correct-spelling (doctor-replace sent replist)))
-    (cond ((and (not (memq 'me sent))(not (memq 'i sent))
+    (cond ((and (not (memq 'me sent)) (not (memq 'i sent))
 		(memq 'am sent))
 	   (setq sent (doctor-replace sent '((am . (are)))))))
     (cond ((equal (car sent) 'yow) (doctor-zippy))
@@ -967,7 +981,8 @@
   (if sent
       (apply 'append (mapcar '(lambda (word)
 				(if (memq word typos)
-				    (get (get word 'doctor-correction) 'doctor-expansion)
+				    (get (get word 'doctor-correction)
+					 'doctor-expansion)
 				  (list word)))
 			     sent))))
 
@@ -1012,7 +1027,7 @@
 
 (defun doctor-def (x)
   (progn
-   (doctor-type (list 'the 'word x 'means (doctor-meaning x) 'to 'me)) 
+   (doctor-type (list 'the 'word x 'means (doctor-meaning x) 'to 'me))
    nil))
 
 (defun doctor-forget ()
@@ -1080,66 +1095,66 @@
 
 (mapcar (function (lambda (x) (put x 'doctor-sentence-type 'verb)))
 	'(abort aborted aborts ask asked asks am
-		applied applies apply are associate
-		associated ate
-		be became become becomes becoming
-		been being believe believed believes
-		bit bite bites bore bored bores boring bought buy buys buying
-		call called calling calls came can caught catch come
-		contract contracted contracts control controlled controls
-		could croak croaks croaked cut cuts
-		dare dared define defines dial dialed dials did die died dies
-		dislike disliked
-		dislikes do does drank drink drinks drinking
-		drive drives driving drove dying
-		eat eating eats expand expanded expands
-		expect expected expects expel expels expelled
-		explain explained explains
-		fart farts feel feels felt fight fights find finds finding
-		forget forgets forgot fought found fuck fucked	; censored
-		fucking fucks	; censored
-		gave get gets getting give gives go goes going gone got gotten
-		had harm harms has hate hated hates have having
-		hear heard hears hearing help helped helping helps
-		hit hits hope hoped hopes hurt hurts
-		implies imply is
-		join joined joins jump jumped jumps
-		keep keeping keeps kept
-		kill killed killing kills kiss kissed kisses kissing
-		knew know knows
-		laid lay lays let lets lie lied lies like liked likes
-		liking listen listens
-		login look looked looking looks
-		lose losing lost
-		love loved loves loving
-		luse lusing lust lusts
-		made make makes making may mean means meant might
-		move moved moves moving must
-		need needed needs 
-		order ordered orders ought
-		paid pay pays pick picked picking picks 
-		placed placing prefer prefers put puts
-		ran rape raped rapes
-		read reading reads recall receive received receives
-		refer refered referred refers
-		relate related relates remember remembered remembers
-		romp romped romps run running runs
-		said sang sat saw say says
-		screw screwed screwing screws scrod see sees seem seemed
-		seems seen sell selling sells
-		send sendind sends sent shall shoot shot should
-		sing sings sit sits sitting sold studied study
-		take takes taking talk talked talking talks tell tells telling
-		think thinks
-		thought told took tooled touch touched touches touching
-		transfer transferred transfers transmit transmits transmitted
-		type types types typing
-		walk walked walking walks want wanted wants was watch
-		watched watching went were will wish would work worked works
-		write writes writing wrote use used uses using))
+	  applied applies apply are associate
+	  associated ate
+	  be became become becomes becoming
+	  been being believe believed believes
+	  bit bite bites bore bored bores boring bought buy buys buying
+	  call called calling calls came can caught catch come
+	  contract contracted contracts control controlled controls
+	  could croak croaks croaked cut cuts
+	  dare dared define defines dial dialed dials did die died dies
+	  dislike disliked
+	  dislikes do does drank drink drinks drinking
+	  drive drives driving drove dying
+	  eat eating eats expand expanded expands
+	  expect expected expects expel expels expelled
+	  explain explained explains
+	  fart farts feel feels felt fight fights find finds finding
+	  forget forgets forgot fought found fuck fucked	; censored
+	  fucking fucks	; censored
+	  gave get gets getting give gives go goes going gone got gotten
+	  had harm harms has hate hated hates have having
+	  hear heard hears hearing help helped helping helps
+	  hit hits hope hoped hopes hurt hurts
+	  implies imply is
+	  join joined joins jump jumped jumps
+	  keep keeping keeps kept
+	  kill killed killing kills kiss kissed kisses kissing
+	  knew know knows
+	  laid lay lays let lets lie lied lies like liked likes
+	  liking listen listens
+	  login look looked looking looks
+	  lose losing lost
+	  love loved loves loving
+	  luse lusing lust lusts
+	  made make makes making may mean means meant might
+	  move moved moves moving must
+	  need needed needs
+	  order ordered orders ought
+	  paid pay pays pick picked picking picks
+	  placed placing prefer prefers put puts
+	  ran rape raped rapes
+	  read reading reads recall receive received receives
+	  refer refered referred refers
+	  relate related relates remember remembered remembers
+	  romp romped romps run running runs
+	  said sang sat saw say says
+	  screw screwed screwing screws scrod see sees seem seemed
+	  seems seen sell selling sells
+	  send sendind sends sent shall shoot shot should
+	  sing sings sit sits sitting sold studied study
+	  take takes taking talk talked talking talks tell tells telling
+	  think thinks
+	  thought told took tooled touch touched touches touching
+	  transfer transferred transfers transmit transmits transmitted
+	  type types types typing
+	  walk walked walking walks want wanted wants was watch
+	  watched watching went were will wish would work worked works
+	  write writes writing wrote use used uses using))
 
-(defun doctor-verbp (x) (if (symbolp x)
-			    (eq (get x 'doctor-sentence-type) 'verb)))
+(defun doctor-verbp (x)
+  (if (symbolp x) (eq (get x 'doctor-sentence-type) 'verb)))
 
 (defun doctor-plural (x)
   "Form the plural of the word argument."
@@ -1167,8 +1182,8 @@
 	  (t 'something))))
 
 (defun doctor-getnoun (x)
-  (cond ((null x)(setq object 'something))
-	((atom x)(setq object x))
+  (cond ((null x) (setq object 'something))
+	((atom x) (setq object x))
 	((eq (length x) 1)
 	 (setq object (cond
 		       ((doctor-nounp (setq object (car x))) object)
@@ -1213,44 +1228,44 @@
 
 (defun doctor-nmbrp (x)
   (memq x '(one two three four five six seven eight nine ten
-		eleven twelve thirteen fourteen fifteen
-		sixteen seventeen eighteen nineteen
-		twenty thirty forty fifty sixty seventy eighty ninety
-		hundred thousand million billion
-		half quarter
-		first second third fourth fifth
-		sixth seventh eighth ninth tenth)))
-		 
+	    eleven twelve thirteen fourteen fifteen
+	    sixteen seventeen eighteen nineteen
+	    twenty thirty forty fifty sixty seventy eighty ninety
+	    hundred thousand million billion
+	    half quarter
+	    first second third fourth fifth
+	    sixth seventh eighth ninth tenth)))
+
 (defun doctor-colorp (x)
   (memq x '(beige black blue brown crimson
-		  gray grey green
-		  orange pink purple red tan tawny
-		  violet white yellow)))
+	    gray grey green
+	    orange pink purple red tan tawny
+	    violet white yellow)))
 
 (defun doctor-sizep (x)
   (memq x '(big large tall fat wide thick
-		small petite short thin skinny)))
+	    small petite short thin skinny)))
 
 (defun doctor-possessivepronounp (x)
   (memq x '(my your his her our their)))
 
 (defun doctor-othermodifierp (x)
   (memq x '(all also always amusing any anyway associated awesome
-		bad beautiful best better but certain clear
-		ever every fantastic fun funny
-		good great grody gross however if ignorant
-		less linked losing lusing many more much
-		never nice obnoxious often poor pretty real related rich
-		similar some stupid super superb
-		terrible terrific too total tubular ugly very)))
+	    bad beautiful best better but certain clear
+	    ever every fantastic fun funny
+	    good great grody gross however if ignorant
+	    less linked losing lusing many more much
+	    never nice obnoxious often poor pretty real related rich
+	    similar some stupid super superb
+	    terrible terrific too total tubular ugly very)))
 
 (defun doctor-prepp (x)
   (memq x '(about above after around as at
-		  before beneath behind beside between by
-		  for from in inside into
-		  like near next of on onto over
-		  same through thru to toward towards
-		  under underneath with without)))
+	    before beneath behind beside between by
+	    for from in inside into
+	    like near next of on onto over
+	    same through thru to toward towards
+	    under underneath with without)))
 
 (defun doctor-remember (thing)
   (cond ((null history)
@@ -1318,8 +1333,9 @@
 				    (doctor-make-string (doctor-cadr foo)))))
 	       (rplaca foo 'an))
 	      ((and (eq (car foo) 'an)
-		    (not (doctor-vowelp (string-to-char
-					 (doctor-make-string (doctor-cadr foo))))))
+		    (not (doctor-vowelp
+			  (string-to-char
+			   (doctor-make-string (doctor-cadr foo))))))
 	       (rplaca foo 'a)))
 	(setq foo (cdr foo))))
     sent))
@@ -1339,7 +1355,7 @@
 	  sent)))
 
 (defun doctor-wherego (sent)
-  (cond ((null sent)(doctor-$ whereoutp))
+  (cond ((null sent) (doctor-$ whereoutp))
 	((null (doctor-meaning (car sent)))
 	 (doctor-wherego (cond ((zerop (random 2))
 				(reverse (cdr sent)))
@@ -1361,8 +1377,8 @@
       (setq foo (cdr foo)))
     (setq verb (car foo))
     (setq obj (doctor-getnoun (cdr foo)))
-    (cond ((eq object 'i)(setq object 'me))
-	  ((eq subj 'me)(setq subj 'i)))
+    (cond ((eq object 'i) (setq object 'me))
+	  ((eq subj 'me) (setq subj 'i)))
     (cond (mem (doctor-remember (list subj verb obj))))))
 
 (defun doctor-possess (sent key)
@@ -1432,7 +1448,8 @@
 	((atom proto) (list proto))
 	((atom (car proto))
 	 (cons (car proto) (doctor-assm (cdr proto))))
-	(t (doctor-concat (doctor-assm (eval (car proto))) (doctor-assm (cdr proto))))))
+	(t (doctor-concat (doctor-assm (eval (car proto)))
+			  (doctor-assm (cdr proto))))))
 
 ;; Functions that handle specific words or meanings when found.
 
@@ -1449,7 +1466,7 @@
 
 (defun doctor-rthing () (doctor-type (doctor-$ thlst)))
 
-(defun doctor-remem () (cond ((null history)(doctor-huh))
+(defun doctor-remem () (cond ((null history) (doctor-huh))
 			     ((doctor-type (doctor-$ remlst)))))
 
 (defun doctor-howdy ()
@@ -1457,23 +1474,26 @@
 	 (doctor-type '((doctor-$ hello) what brings you to see me \?))
 	 (setq howdyflag t))
 	(t
-	 (doctor-type '((doctor-$ ibelieve) we\'ve introduced ourselves already \.))
-	 (doctor-type '((doctor-$ please) (doctor-$ describe) (doctor-$ things) \.)))))
+	 (doctor-type
+	  '((doctor-$ ibelieve) we\'ve introduced ourselves already \.))
+	 (doctor-type
+	  '((doctor-$ please) (doctor-$ describe) (doctor-$ things) \.)))))
 
 (defun doctor-when ()
-  (cond ((< (length (memq found sent)) 3)(doctor-short))
+  (cond ((< (length (memq found sent)) 3) (doctor-short))
 	(t
 	 (setq sent (cdr (memq found sent)))
 	 (setq sent (doctor-fixup sent))
-	 (doctor-type '((doctor-$ whatwhen)(identity sent) \?)))))
+	 (doctor-type '((doctor-$ whatwhen) (identity sent) \?)))))
 
 (defun doctor-conj ()
-  (cond ((< (length (memq found sent)) 4)(doctor-short))
+  (cond ((< (length (memq found sent)) 4) (doctor-short))
 	(t
 	 (setq sent (cdr (memq found sent)))
 	 (setq sent (doctor-fixup sent))
 	 (cond ((eq (car sent) 'of)
-		(doctor-type '(are you (doctor-$ sure) that is the real reason \?))
+		(doctor-type
+		 '(are you (doctor-$ sure) that is the real reason \?))
 		(setq things (cons (cdr sent) things)))
 	       (t
 		(doctor-remember sent)
@@ -1500,13 +1520,15 @@
 		)))
 	(t
 	 (cond ((equal sent (doctor-assm '(yes)))
-		(doctor-type '((doctor-$ isee) (doctor-$ inter) (doctor-$ whysay) this is so \?)))
+		(doctor-type
+		 '((doctor-$ isee) (doctor-$ inter) (doctor-$ whysay)
+		   this is so \?)))
 	       ((equal sent (doctor-assm '(because)))
 		(doctor-type (doctor-$ shortbeclst)))
 	       ((equal sent (doctor-assm '(no)))
 		(doctor-type (doctor-$ neglst)))
 	       (t (doctor-type (doctor-$ shortlst)))))))
-	   
+
 (defun doctor-alcohol () (doctor-type (doctor-$ drnk)))
 
 (defun doctor-desire ()
@@ -1533,10 +1555,10 @@
   (doctor-type (doctor-$ toklst)))
 
 (defun doctor-state ()
-  (doctor-type (doctor-$ states))(doctor-remember (list 'you 'were found)))
+  (doctor-type (doctor-$ states)) (doctor-remember (list 'you 'were found)))
 
 (defun doctor-mood ()
-  (doctor-type (doctor-$ moods))(doctor-remember (list 'you 'felt found)))
+  (doctor-type (doctor-$ moods)) (doctor-remember (list 'you 'felt found)))
 
 (defun doctor-fear ()
   (setq feared (doctor-setprep sent found))
@@ -1547,8 +1569,8 @@
   (doctor-svo sent found 1 t)
   (cond ((memq 'not sent) (doctor-forget) (doctor-huh))
 	((equal subj 'you)
-	 (doctor-type '(why do you (identity verb)(identity obj) \?)))
-	(t (doctor-type '((doctor-$ whysay)(list subj verb obj))))))
+	 (doctor-type '(why do you (identity verb) (identity obj) \?)))
+	(t (doctor-type '((doctor-$ whysay) (list subj verb obj))))))
 
 (defun doctor-symptoms ()
   (doctor-type '((doctor-$ maybe) you should consult a doctor of medicine\,
@@ -1559,14 +1581,14 @@
   (doctor-hates1))
 
 (defun doctor-hates1 ()
-  (doctor-type '((doctor-$ whysay)(list subj verb obj))))
+  (doctor-type '((doctor-$ whysay) (list subj verb obj))))
 
 (defun doctor-loves ()
   (doctor-svo sent found 1 t)
   (doctor-qloves))
 
 (defun doctor-qloves ()
-  (doctor-type '((doctor-$ bother)(list subj verb obj) \?)))
+  (doctor-type '((doctor-$ bother) (list subj verb obj) \?)))
 
 (defun doctor-love ()
   (doctor-svo sent found 1 t)
@@ -1600,7 +1622,7 @@
 (defun doctor-sexnoun () (doctor-sexverb))
 
 (defun doctor-sexverb ()
-  (if (or (memq 'me sent)(memq 'myself sent)(memq 'i sent))
+  (if (or (memq 'me sent) (memq 'myself sent) (memq 'i sent))
       (doctor-foul)
     (doctor-type (doctor-$ sexlst))))
 
@@ -1626,7 +1648,7 @@
 	(t (setq eliza-flag t)
 	   (doctor-type '((identity found) \? hah !
 			  (doctor-$ please) (doctor-$ continue) \.)))))
-	   
+
 (defun doctor-sports ()  (doctor-type (doctor-$ sportslst)))
 
 (defun doctor-math () (doctor-type (doctor-$ mathlst)))
@@ -1645,4 +1667,3 @@
   (doctor-read-print))
 
 ;;; doctor.el ends here
-
